### Hierarchy

- Emitter
  - Clipboard

### Implements

- IEmitter
- IClipboard

## Index

### Constructors

- constructor

### Properties

- borderSides
- borderSyles
- canvas
- clipboardTextPlain
- doc
- editableAreaEl
- editableAreaId
- excelStyles
- focus
- key
- listeners
- onListeners
- utils
- validStyles

### Accessors

- ON_DATA
- ON_PASTED

### Methods

- collectClipData
- copyTextToClipboard
- createPastedElement
- cssToStyles
- destroy
- emit
- getClipboardText
- getHtml
- getRawValue
- getTextWidth
- init
- mapExcelBorder
- off
- on
- onEditBlur
- onEditFocus
- onKeyDown
- onPaste
- onPasteDocument
- parseTable
- parseText
- register
- removeEvent
- removeEvents
- selectElContents
- tableColWidths
- unRegister

### Object literals

- excelBorderStyles
- excelBorderWeights

## Constructors

### constructor

- new Clipboard(element?: any, doc?: undefined | false | true): Clipboard

- Overrides Emitter.constructor

  - Defined in Clipboard.ts:87

  #### Parameters

  - ##### Optional element: any

  - ##### Optional doc: undefined | false | true

  #### Returns Clipboard

## Properties

### Private borderSides

borderSides: any = ['top', 'right', 'bottom', 'left']

- Defined in Clipboard.ts:84

### Private borderSyles

borderSyles: any = ['width', 'style', 'color']

- Defined in Clipboard.ts:85

### Private canvas

canvas: HTMLCanvasElement

- Defined in Clipboard.ts:87

### clipboardTextPlain

clipboardTextPlain: string = ""

- Defined in Clipboard.ts:31

### Private doc

doc: boolean = false

- Defined in Clipboard.ts:34

### editableAreaEl

editableAreaEl: any

- Defined in Clipboard.ts:29

### editableAreaId

editableAreaId: string = "pages-editable"

- Defined in Clipboard.ts:28

### Private excelStyles

excelStyles: any = ['tb', 'rb', 'bb', 'lb']

- Defined in Clipboard.ts:63

Linking names of excel/json styles to css styles

### focus

focus: boolean = false

- Defined in Clipboard.ts:30

### Private key

key: string = ""

- Defined in Clipboard.ts:33

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### Private utils

utils: IHelpers

- Defined in Clipboard.ts:86

### Private validStyles

validStyles: any = ['color','background','background-color','border','border-left','border-right','border-top','border-bottom','width','height','text-align','vertical-align','font-family','font-size','font-weight','font-style','text-wrap','text-decoration','number-format','word-wrap','white-space']

- Defined in Clipboard.ts:36

## Accessors

### ON_DATA

- get ON_DATA(): string

- - Defined in Clipboard.ts:21

  #### Returns string

### ON_PASTED

- get ON_PASTED(): string

- - Defined in Clipboard.ts:24

  #### Returns string

## Methods

### Private collectClipData

- collectClipData(table: any): any

- - Defined in Clipboard.ts:412

  #### Parameters

  - ##### table: any

  #### Returns any

### copyTextToClipboard

- copyTextToClipboard(text: string): boolean

- Implementation of IClipboard.copyTextToClipboard

  - Defined in Clipboard.ts:138

  #### Parameters

  - ##### text: string

  #### Returns boolean

### Private createPastedElement

- createPastedElement(html: string): any

- - Defined in Clipboard.ts:245

  #### Parameters

  - ##### html: string

  #### Returns any

### Private cssToStyles

- cssToStyles(cssText: any): void

- - Defined in Clipboard.ts:576

  #### Parameters

  - ##### cssText: any

  #### Returns void

### destroy

- destroy(): void

- Implementation of IClipboard.destroy

  - Defined in Clipboard.ts:124

  #### Returns void

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### Private getClipboardText

- getClipboardText(e: any): any

- - Defined in Clipboard.ts:206

  #### Parameters

  - ##### e: any

  #### Returns any

### Private getHtml

- getHtml(el: any): void

- - Defined in Clipboard.ts:260

  #### Parameters

  - ##### el: any

  #### Returns void

### Private getRawValue

- getRawValue(val: any, format: any): string

- - Defined in Clipboard.ts:566

  #### Parameters

  - ##### val: any

  - ##### format: any

  #### Returns string

### Private getTextWidth

- getTextWidth(text: any, font: string): number

- - Defined in Clipboard.ts:684

  #### Parameters

  - ##### text: any

  - ##### font: string

  #### Returns number

### init

- init(element?: any, doc?: undefined | false | true): boolean

- - Defined in Clipboard.ts:96

  #### Parameters

  - ##### Optional element: any

  - ##### Optional doc: undefined | false | true

  #### Returns boolean

### Private mapExcelBorder

- mapExcelBorder(key: string, val: string): any

- - Defined in Clipboard.ts:651

  #### Parameters

  - ##### key: string

  - ##### val: string

  #### Returns any

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### Private onEditBlur

- onEditBlur(): void

- - Defined in Clipboard.ts:190

  #### Returns void

### Private onEditFocus

- onEditFocus(): void

- - Defined in Clipboard.ts:186

  #### Returns void

### Private onKeyDown

- onKeyDown(e: KeyboardEvent): void

- - Defined in Clipboard.ts:283

  #### Parameters

  - ##### e: KeyboardEvent

  #### Returns void

### Private onPaste

- onPaste(e: any): void

- - Defined in Clipboard.ts:225

  #### Parameters

  - ##### e: any

  #### Returns void

### Private onPasteDocument

- onPasteDocument(e: any): void

- - Defined in Clipboard.ts:194

  #### Parameters

  - ##### e: any

  #### Returns void

### Private parseTable

- parseTable(table: any): void

- - Defined in Clipboard.ts:407

  #### Parameters

  - ##### table: any

  #### Returns void

### Private parseText

- parseText(text: string): any

- - Defined in Clipboard.ts:292

  #### Parameters

  - ##### text: string

  #### Returns any

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IEmitter.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IEmitter.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### Private selectElContents

- selectElContents(el: any): void

- - Defined in Clipboard.ts:164

  #### Parameters

  - ##### el: any

  #### Returns void

### Private tableColWidths

- tableColWidths(table: any): any

- - Defined in Clipboard.ts:548

  #### Parameters

  - ##### table: any

  #### Returns any

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

## Object literals

### Private excelBorderStyles

excelBorderStyles: object

- Defined in Clipboard.ts:68

Map excel border styles to css border styles (with some compromise)

### dashdotdot

dashdotdot: string = "dotted"

- Defined in Clipboard.ts:71

### dashed

dashed: string = "dashed"

- Defined in Clipboard.ts:70

### double

double: string = "double"

- Defined in Clipboard.ts:72

### solid

solid: string = "solid"

- Defined in Clipboard.ts:69

### Private excelBorderWeights

excelBorderWeights: object

- Defined in Clipboard.ts:78

Map excel border weights to css border weights (with some compromise)

### 1px

1px: string = "thin"

- Defined in Clipboard.ts:79

### 2px

2px: string = "medium"

- Defined in Clipboard.ts:80

### 3px

3px: string = "thick"

- Defined in Clipboard.ts:81

Generated using TypeDoc